package com.huashe.park.domain.entity;

import com.alibaba.fastjson2.JSONArray;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 巡检项对象 park_inspect_proj
 *
 * @author ruoyi
 * @date 2025-01-06
 */
public class ParkInspectProj extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 巡检内容
     */
    @Excel(name = "巡检内容")
    private JSONArray projContent;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private Double lng;

    /**
     * 维度
     */
    @Excel(name = "维度")
    private Double lat;

    /**
     * 巡检有效半径
     */
    @Excel(name = "巡检有效半径")
    private Integer radius;

    /**
     * 巡检项目类型
     */
    @Excel(name = "巡检项目类型")
    private String projType;



    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public Integer getRadius() {
        return radius;
    }

    public void setRadius(Integer radius) {
        this.radius = radius;
    }

    public void setProjType(String projType) {
        this.projType = projType;
    }

    public String getProjType() {
        return projType;
    }

    public JSONArray getProjContent() {
        return projContent;
    }

    public void setProjContent(JSONArray projContent) {
        this.projContent = projContent;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("projContent", getProjContent())
                .append("lng", getLng())
                .append("lat", getLat())
                .append("radius", getRadius())
                .append("projType", getProjType())
                .append("updateTime", getUpdateTime())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("tenantId", getTenantId())
                .toString();
    }
}
